#include "QuantumWire.h"

AbstractQuantumWire::AbstractQuantumWire(QuantumCircuitElement* input, QuantumCircuitElement* output)
    : mInput(input),
    mOutput(output)
{

}

QuantumWire::QuantumWire(QuantumCircuitElement* input, QuantumCircuitElement* output)
    : AbstractQuantumWire(input, output)
{

}

QuantumCircuitElement* QuantumWire::getInput() const
{
    return mInput;
}

QuantumCircuitElement* QuantumWire::getOutput() const
{
    return mOutput;
}

QuantumWire::Type QuantumWire::getType() const
{
    return Type::WIRE;
}

QuantumWire::WireType QuantumWire::getWireType() const
{
    return WireType::QUANTUM;
}